# CalendarConfiguration

class `praw.models.``CalendarConfiguration`(reddit: Reddit, _data: Optional[Dict[str, Any]])

  Class to represent the configuration of a `Calendar`.

  Typical Attributes

  This table describes attributes that typically belong to objects of this class. Since attributes are dynamically provided (see Determine Available Attributes of an Object), there is not a guarantee that these attributes will always be present, nor is this list necessarily complete.

  Attribute | Description
  --- | ---
  `numEvents` | The number of events to display on the calendar.
  `showDate` | Whether or not to show the dates of events.
  `showDescription` | Whether or not to show the descriptions of events.
  `showLocation` | Whether or not to show the locations of events.
  `showTime` | Whether or not to show the times of events.
  `showTitle` | Whether or not to show the titles of events.

  `__init__`(reddit: Reddit, _data: Optional[Dict[str, Any]])

    Initialize a PRAWModel instance.

    Parameters

      reddit – An instance of `Reddit`.

  classmethod `parse`(data: Dict[str, Any], reddit: Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters

      - data – The structured data.

      - reddit – An instance of `Reddit`.